<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Commit Method (IEdmBomView)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBomView Interface : Commit Method (IEdmBomView)

Visual Basic
C#
C++/CLI

bsSaveAsBomName
  Name of new BOM in which to save the BOM content; empty string to save changes to an existing BOM

pbsErrorMessage
  Error message

plFocusNodeID
  ID of node to which to set focus

Saves the BOM content.

# Syntax

Visual Basic |
--- | ---

    Function Commit( _
       ByVal bsSaveAsBomName As System.String, _
       ByRef pbsErrorMessage As System.String, _
       ByRef plFocusNodeID As System.Integer _
    ) As System.Integer

C# |
--- | ---

    System.int Commit(
       System.string bsSaveAsBomName,
       out System.string pbsErrorMessage,
       out System.int plFocusNodeID
    )

C++/CLI |
--- | ---

    System.int Commit(
    &   System.String^ bsSaveAsBomName,
    &   [Out] System.String^ pbsErrorMessage,
    &   [Out] System.int plFocusNodeID
    )

#### Parameters

bsSaveAsBomName
  Name of new BOM in which to save the BOM content; empty string to save changes to an existing BOM
pbsErrorMessage
  Error message
plFocusNodeID
  ID of node to which to set focus

#### Return Value

Return codes

# Example

Add Row to Bill of Materials (VB.NET)
Add Row to Bill of Materials (C#)

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBomView Interface
IEdmBomView Members

# Availability

SOLIDWORKS PDM Professional 2009